Skip to main content
GET
/
subscription
/
invoice
/
{id}
cURL
curl --request GET \
  --url https://uat-api.clinkbill.com/api/subscription/invoice/{id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 200,
  "msg": "success",
  "data": {
    "invoiceId": "<string>",
    "subscriptionId": "<string>",
    "orderId": "<string>",
    "customerId": "<string>",
    "merchantId": "<string>",
    "status": "open",
    "createTime": 1754819712625,
    "currentPeriodStart": 1754819706689,
    "currentPeriodEnd": 1755078906689,
    "originalAmount": 9.99,
    "originalCurrency": "USD",
    "billing": "charge_automatically",
    "items": [
      {
        "invoiceItemId": "<string>",
        "amount": 9.99,
        "currency": "USD",
        "description": "<string>",
        "periodStart": 1754819706689,
        "periodEnd": 1755078906689,
        "proration": true,
        "price": {
          "productId": "<string>",
          "productName": "<string>",
          "priceId": "<string>",
          "priceSnapshotId": "<string>",
          "unitAmount": 9.99,
          "quantity": 1
        }
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

id
string
required

Unique identifier of the invoice

Response

Invoice details retrieved successfully

code
integer<int32>

Response status code, 200 when success

Example:

200

msg
string

Brief description of what happened, 'success' when happy case

Example:

"success"

data
object

Comprehensive invoice data object with subscription billing details